/*
 * socket.c
 *
 * Copyright 2004, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 */


#include<unistd.h>
#include<sys/types.h>
#include<errno.h>
#include<sys/socket.h>
#include<netinet/in.h>
#include<sys/ip.h>


extern int _socket(int domain, int type, int protocol);


int socket(int domain, int type, int protocol)
{
	if(type==SOCK_RAW)
		if(getuid()!=0)return _error(EACCES);

	return _socket(domain,type,protocol);
}
